require('gitsigns').setup {
  signs = {
    add          = {hl = 'DiffAdd'   , text = '+'},
    change       = {hl = 'DiffChange', text = '!'},
    delete       = {hl = 'DiffDelete', text = 'x'},
    topdelete    = {hl = 'DiffDelete', text = '-'},
    changedelete = {hl = 'DiffChange', text = '~'},
  },
  keymaps = {
    noremap = true,
    buffer = true,

    ['n ]c'] = { expr = true, "&diff ? ']c' : '<cmd>lua require\"gitsigns\".next_hunk()<CR>'"},
    ['n [c'] = { expr = true, "&diff ? '[c' : '<cmd>lua require\"gitsigns\".prev_hunk()<CR>'"},

    ['n ghs'] = '<cmd>lua require"gitsigns".stage_hunk()<CR>',
    ['n ghu'] = '<cmd>lua require"gitsigns".undo_stage_hunk()<CR>',
    ['n ghr'] = '<cmd>lua require"gitsigns".reset_hunk()<CR>',
    ['n ghp'] = '<cmd>lua require"gitsigns".preview_hunk()<CR>',
  },
  watch_index = {
    interval = 1000
  },
  sign_priority = 6,
  status_formatter = nil,
}
